# Copyright (C) 2009    Graham Binns <graham@grahambinns.com>
#
# This file is part of the Frabjous blog and site engine.
#
# Frabjous is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Frabjous is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public
# License along with Frabjous. If not, see
# <http://www.gnu.org/licenses/>.
"""Context processors for the categories app"""

from django.core.cache import cache

from frabjous.categories.models import Category


def category_list(request):
    all = cache.get('categories.Category.all', False)
    if not all:
        all_categories = Category.objects.filter(
            ref_count__gt=5).select_related().order_by('name')
        cache.set('categories.Category.all', all)

    return {'categories': all_categories}
