# Copyright (C) 2009    Graham Binns <graham@grahambinns.com>
#
# This file is part of the Frabjous blog and site engine.
#
# Frabjous is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Frabjous is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public
# License along with Frabjous. If not, see
# <http://www.gnu.org/licenses/>.
"""URLs for the Categories app"""

from django.conf.urls.defaults import *
from django.views.generic.list_detail import object_list

from frabjous.blog.views import category_posts
from frabjous.categories.models import Category


urlpatterns = patterns('',
    (r'(?P<category>.+)/$', category_posts,),
    (r'^/?$', object_list,
        dict(queryset=Category.objects.all().order_by(
            '-ref_count', 'name'),
        template_object_name='category',
        template_name='categories/index.html',))
    )
