# Copyright (C) 2009    Graham Binns <graham@grahambinns.com>
#
# This file is part of the Frabjous blog and site engine.
#
# Frabjous is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Frabjous is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Frabjous. If not, see <http://www.gnu.org/licenses/>.
"""Content processors for the comments app."""

from django.core.cache import cache

from frabjous.comments.models import Comment


def latest_comments(request):
    """Return the latest comments."""

    latest_comments = cache.get('comments.latest')
    if latest_comments is None:
        latest_comments = Comment.objects.all().order_by('-date')[:10]
        cache.set('comments.latest', latest_comments)

    return {'recent_comments': latest_comments}
