# Copyright (C) 2009    Graham Binns <graham@grahambinns.com>
#
# This file is part of the Frabjous blog and site engine.
#
# Frabjous is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Frabjous is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public
# License along with Frabjous. If not, see
# <http://www.gnu.org/licenses/>.

"""Database models for the licensing app."""
from django.contrib import admin
from django.db import models


class License(models.Model):
    """Represents a single content license."""

    name = models.CharField(max_length=255, unique=True)
    slug = models.SlugField()
    blurb = models.TextField(null=False)
    description = models.TextField(null=True, blank=True)

    def __str__(self):
        return self.name


admin.site.register(License)
