# Copyright (C) 2009    Graham Binns <graham@grahambinns.com>
#
# This file is part of the Frabjous blog and site engine.
#
# Frabjous is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Frabjous is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public
# License along with Frabjous. If not, see
# <http://www.gnu.org/licenses/>.

from frabjous.remotefeeds.models import RemoteFeed, FeedPost
from django.contrib import admin
from django.utils.translation import ugettext_lazy as _

class RemoteFeedAdmin(admin.ModelAdmin):
    fieldsets = (
        (None, {
            'fields': ('name', 'url', 'posts_to_show', 'interval'),
            }),
        )
    list_display = (
        'name', 'last_checked', 'last_updated', 'next_check',)
    list_display_links = (
        'name', 'last_checked', 'last_updated', 'next_check')

class FeedPostAdmin(admin.ModelAdmin):
    list_display = ('date', 'feed', 'subject', 'url')
    list_display_links = ('subject',)
    list_filter = ('date', 'feed')

admin.site.register(RemoteFeed, RemoteFeedAdmin)
admin.site.register(FeedPost, FeedPostAdmin)

