# Copyright (C) 2009    Graham Binns <graham@grahambinns.com>
#
# This file is part of the Frabjous blog and site engine.
#
# Frabjous is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Frabjous is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public
# License along with Frabjous. If not, see
# <http://www.gnu.org/licenses/>.

"""Forms for the tokens app."""
from django import forms

from frabjous.tokens.models import TOKEN_TYPES


class GenerateTokenForm(forms.Form):
    """Form to create a new Token."""

    requester = forms.EmailField(
        label="Your email address", max_length=75, required=True)
    token_type = forms.ChoiceField(
        label="Type of token required", choices=TOKEN_TYPES, required=True)
    token_count = forms.IntegerField(
        label="Number of tokens required", min_value=1, max_value=100,
        initial=1, widget=forms.TextInput(attrs={'width': 5}))
