# Copyright (C) 2009    Graham Binns <graham@grahambinns.com>
#
# This file is part of the Frabjous blog and site engine.
#
# Frabjous is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Frabjous is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
#
# You should have received a copy of the GNU General Public
# License along with Frabjous. If not, see
# <http://www.gnu.org/licenses/>.

from django.conf import settings
from django.conf.urls.defaults import *
from django.contrib import admin

from frabjous.blog import metaweblog
from frabjous.rpc import pingback

# Autodiscover admin interfaces
admin.autodiscover()

urlpatterns = patterns('',
    (r'^appmedia/(?P<path>.+)',
     'django.views.static.serve',
     {'document_root': settings.MEDIA_ROOT + '/appmedia'}),
    (r'^admin/(.*)', admin.site.root),
    (r'^blog/', include('frabjous.blog.urls')),
    (r'^comments/', include('frabjous.comments.urls')),
    (r'^categories/', include('frabjous.categories.urls')),
    (r'^search/', include('frabjous.search.urls')),
    (r'^xmlrpc/$', 'django_xmlrpc.views.handle_xmlrpc',),
    (r'^token/', include('frabjous.tokens.urls')),

    # OpenID URLS use django_openid
    (r'^openid/$', 'django_openidconsumer.views.begin'),
    (r'^openid/with-sreg/$', 'django_openidconsumer.views.begin', {
        'sreg': 'email,nickname',
        'redirect_to': '/openid/complete/',
    }),
    (r'^openid/complete/$', 'django_openidconsumer.views.complete'),
    (r'^openid/signout/$', 'django_openidconsumer.views.signout'),
)
